freenet.support.CPUInformation

## Interface AMDCPUInfo

- All Superinterfaces:
    CPUInfo
  All Known Implementing Classes:
    AMDInfoImpl

      public interface AMDCPUInfo
      extends CPUInfo

  An interface for classes that provide lowlevel information about AMD CPU's

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `IsAthlon64Compatible()` Checks if the CPU is at least a 'k8' CPU (Athlon 64, Opteron etc.
    `boolean` | `IsAthlonCompatible()` Checks if the CPU is at least a 'k7' CPU (Athlon, Duron etc.
    `boolean` | `IsBobcatCompatible()` Checks if the CPU is at least a 'bobcat' CPU.
    `boolean` | `IsBulldozerCompatible()` Checks if the CPU is at least a 'bulldozer' CPU.
    `boolean` | `IsExcavatorCompatible()` Checks if the CPU is at least an 'excavator' CPU.
    `boolean` | `IsGeodeCompatible()` Checks if the CPU is at least a 'geode' CPU.
    `boolean` | `IsJaguarCompatible()` Checks if the CPU is at least a 'jaguar' CPU.
    `boolean` | `IsK10Compatible()` Checks if the CPU is at least a 'k10' CPU.
    `boolean` | `IsK6_2_Compatible()` Checks if the CPU is at least a 'k6-2' CPU.
    `boolean` | `IsK6_3_Compatible()` Checks if the CPU is at least a 'k6-3' CPU.
    `boolean` | `IsK6Compatible()` Checks if the CPU is at least a 'k6' CPU.
    `boolean` | `IsPiledriverCompatible()` Checks if the CPU is at least a 'piledriver' CPU.
    `boolean` | `IsSteamrollerCompatible()` Checks if the CPU is at least a 'steamroller' CPU.
    `boolean` | `IsZen2Compatible()` Checks if the CPU is at least a Zen2 family CPU.
    `boolean` | `IsZenCompatible()` Checks if the CPU is at least a Zen family CPU.

    - ### Methods inherited from interface freenet.support.CPUInformation.CPUInfo

      `getCPUModelString, getVendor, hasABM, hasADX, hasAES, hasAVX, hasAVX2, hasAVX512, hasBMI1, hasBMI2, hasFMA3, hasMMX, hasMOVBE, hasSSE, hasSSE2, hasSSE3, hasSSE41, hasSSE42, hasSSE4A, hasTBM, hasX64`

- - ### Method Detail

    - #### IsAthlon64Compatible

          boolean IsAthlon64Compatible()

      Checks if the CPU is at least a 'k8' CPU (Athlon 64, Opteron etc. and better).
      Returns:
        true if the CPU present in the machine is at least an 'k8' CPU (Atlhon 64, Opteron etc. and better)

    - #### IsAthlonCompatible

          boolean IsAthlonCompatible()

      Checks if the CPU is at least a 'k7' CPU (Athlon, Duron etc. and better).
      Returns:
        true if the CPU present in the machine is at least an 'k7' CPU (Atlhon, Duron etc. and better)

    - #### IsBobcatCompatible

          boolean IsBobcatCompatible()

      Checks if the CPU is at least a 'bobcat' CPU.
      Returns:
        true if the CPU present in the machine is at least an 'bobcat' CPU

    - #### IsBulldozerCompatible

          boolean IsBulldozerCompatible()

      Checks if the CPU is at least a 'bulldozer' CPU.
      Returns:
        true if the CPU present in the machine is at least a 'bulldozer' CPU

    - #### IsExcavatorCompatible

          boolean IsExcavatorCompatible()

      Checks if the CPU is at least an 'excavator' CPU.
      Returns:
        true if the CPU present in the machine is at least a 'excavator' CPU

    - #### IsGeodeCompatible

          boolean IsGeodeCompatible()

      Checks if the CPU is at least a 'geode' CPU.
      Returns:
        true if the CPU present in the machine is at least an 'geode' CPU

    - #### IsJaguarCompatible

          boolean IsJaguarCompatible()

      Checks if the CPU is at least a 'jaguar' CPU.
      Returns:
        true if the CPU present in the machine is at least an 'jaguar' CPU

    - #### IsK10Compatible

          boolean IsK10Compatible()

      Checks if the CPU is at least a 'k10' CPU.
      Returns:
        true if the CPU present in the machine is at least an 'k10' CPU

    - #### IsK6_2_Compatible

          boolean IsK6_2_Compatible()

      Checks if the CPU is at least a 'k6-2' CPU.
      Returns:
        true if the CPU present in the machine is at least an 'k6-2' CPU

    - #### IsK6_3_Compatible

          boolean IsK6_3_Compatible()

      Checks if the CPU is at least a 'k6-3' CPU.
      Returns:
        true if the CPU present in the machine is at least an 'k6-3' CPU

    - #### IsK6Compatible

          boolean IsK6Compatible()

      Checks if the CPU is at least a 'k6' CPU.
      Returns:
        true if the CPU present in the machine is at least an 'k6' CPU

    - #### IsPiledriverCompatible

          boolean IsPiledriverCompatible()

      Checks if the CPU is at least a 'piledriver' CPU.
      Returns:
        true if the CPU present in the machine is at least a 'piledriver' CPU

    - #### IsSteamrollerCompatible

          boolean IsSteamrollerCompatible()

      Checks if the CPU is at least a 'steamroller' CPU.
      Returns:
        true if the CPU present in the machine is at least a 'steamroller' CPU

    - #### IsZen2Compatible

          boolean IsZen2Compatible()

      Checks if the CPU is at least a Zen2 family CPU.
      Returns:
        true if the CPU present in the machine is at least a Zen2 family CPU

    - #### IsZenCompatible

          boolean IsZenCompatible()

      Checks if the CPU is at least a Zen family CPU.
      Returns:
        true if the CPU present in the machine is at least a Zen family CPU